WebhookRuleListResponseSchema – Management API – MediaKind

WebhookRuleListResponseSchema

object

valuelist of objects WebhookRuleSchema Required

A list of Webhook rules

metadataobject WebhookRuleMetadataSchema Required

Webhook rule metadata.

idstringRequiredformat: uuid

The ID of the webhook. namestringRequired

The name of the webhook. Unique within a project.

specobject WebhookRuleSpecSchema Required

Webhook rule spec.

authenticationobject AuthenticationSchema Optional

Authentication details.

headersmap from strings to stringOptional

Authentication headers.

queryParamsmap from strings to stringOptional

Authentication query parameters.

enabledbooleanRequired

Indicates whether the webhook is enabled. eventslisof enumsRequired

List of events that trigger the webhook.

headersmap from strings to stringOptional

Headers to include in the webhook request.

queryParamsmap from strings to stringOptional

Query parameters to include in the webhook request.

urlstringRequired

The URL the webhook should call.